globus_rsl_print(3)

NAME
globus_rsl_print - RSL Display

 - RSL Display.

SYNOPSIS

  Functions

int globus_rsl_value_print_recursive (globus_rsl_value_t *globus_rsl_value_ptr)
Print the value of a globus_rsl_value_t to standard output.
char * globus_rsl_get_operator (int my_op)
Get the string representation of an RSL operator.
int globus_rsl_print_recursive (globus_rsl_t *ast_node)
Print the value of an RSL syntax tree to standard output.
char * globus_rsl_unparse (globus_rsl_t *rsl_spec)
Convert an RSL parse tree to a string.
char * globus_rsl_value_unparse (globus_rsl_value_t *rsl_value)
Convert an RSL value pointer to a string.

Detailed Description

RSL Display.

Function Documentation

  char * globus_rsl_get_operator (int my_op)

Get the string representation of an RSL operator. The globus_rsl_get_operator() function returns a pointer to a static string that represents the RSL operator passed in via the my_op parameter. If the operator is not value, then globus_rsl_get_operator() returns a pointer to the string "??"

Parameters
    my_op The RSL operator to return.

Returns
    The globus_rsl_get_operator() function returns a pointer to the string representation of the my_op parameter, or "??" if that value is not a value RSL operator.

  int globus_rsl_print_recursive (globus_rsl_t * ast_node)

Print the value of an RSL syntax tree to standard output. The globus_rsl_print_recursive() function prints a string representation of the RSL syntax tree pointed to by the ast_node parameter to standard output. This function is not reentrant.

Parameters
    ast_node A pointer to the RSL syntax tree to display.

Returns
    The globus_rsl_print_recursive() function always returns GLOBUS_SUCCESS.

  char * globus_rsl_unparse (globus_rsl_t * rsl_spec)

Convert an RSL parse tree to a string. The globus_rsl_unparse() function returns a new string which can be parsed into the RSL syntax tree passed as the rsl_spec parameter. The caller is responsible for freeing this string.

Parameters
    rsl_spec A pointer to the RSL syntax tree to unparse.

Returns
    Upon success, the globus_rsl_unparse() function returns a new string which represents the RSL parse tree passed as the rsl_spec parameter. If an error occurs, globus_rsl_unparse() returns NULL.

  int globus_rsl_value_print_recursive (globus_rsl_value_t * globus_rsl_value_ptr)

Print the value of a globus_rsl_value_t to standard output. The globus_rsl_value_print_recursive() function prints a string representation of the RSL value node pointed to by the globus_rsl_value_ptr parameter to standard output. This function is not reentrant.

Parameters
    globus_rsl_value_ptr A pointer to the RSL value to display.

Returns
    The globus_rsl_value_print_recursive() function always returns GLOBUS_SUCCESS.

  char * globus_rsl_value_unparse (globus_rsl_value_t * rsl_value)

Convert an RSL value pointer to a string. The globus_rsl_value_unparse() function returns a new string which can be parsed into the value of an RSL relation that has the same syntactic meaning as the rsl_value parameter. The caller is responsible for freeing this string.

Parameters
    rsl_value A pointer to the RSL value node to unparse.

Returns
    Upon success, the globus_rsl_value_unparse() function returns a new string which represents the RSL value ndoe passed as the rsl_value parameter. If an error occurs, globus_rsl_value_unparse() returns NULL.

Author

Generated automatically by Doxygen for globus_rsl from the source code.